#!/bin/sh
# SHELLSCRIPT: UPDATE PmWiki (UNIX/LINUX Shell)
#
# CONFIGURATION: BEGIN ###############################
#
# PMWIKI-DIRECTORY-NAMES - PMWIKI-FARM
DIRECTORY_LIST_CURRENT_PMWIKI="pmwiki_a pmwiki_b pmwiki_c pmwiki_z"
#
# DIRECTORY-NAMES IN UPDATE-DIRECTORY
DIRECTORY_LIST_UPDATE_PMWIKI="cookbook pub scripts wikilib.d"
#
# PHP-FILE-NAME PMWIKI START 
FILE_NAME_PMWIKI='pmwiki.php'
#
# LOG-FILE-NAME
LOG_FILE_NAME='Log_File.txt'
#
# LOG-FILE TITELLINE
LOG_FILE_TITELLINE="LOG-PROTOKOLL PMWIKI-UPDATE - `date`"
#
# CONFIGURATION: END #################################
#
echo '===================================================================================' > ./$LOG_FILE_NAME
echo $LOG_FILE_TITELLINE >> ./$LOG_FILE_NAME
echo '===================================================================================' >> ./$LOG_FILE_NAME
echo '' >> ./$LOG_FILE_NAME
ERROR=0
for q in ${DIRECTORY_LIST_CURRENT_PMWIKI};do
  CURRENT_DIRECTORY_A="../${q}"
  if [ -d ${CURRENT_DIRECTORY_A} ]
  then
    # DELETE PMWIKI-START-FILE
    PATH_FILE_PMWIKI_A="${CURRENT_DIRECTORY_A}/${FILE_NAME_PMWIKI}"
    if [ -f ${PATH_FILE_PMWIKI_A} ]
    then
      rm ${PATH_FILE_PMWIKI_A} 2>/dev/null
      if [ $? -ge 1 ]
      then
      echo "ERROR: PMWIKI-OLD-FILE »${PATH_FILE_PMWIKI_A}« CAN NOT DELETE (ROOT RIGHTS REQUIRED)!" >> ./$LOG_FILE_NAME
      ERROR=$(($ERROR+1))
      fi
    else
    echo "ERROR: PMWIKI-OLD-FILE »${PATH_FILE_PMWIKI_A}« CAN NOT FOUND!" >> ./$LOG_FILE_NAME
    ERROR=$(($ERROR+1))
    fi
    # COPY PMWIKI-START-FILE
    PATH_FILE_PMWIKI_B="./${FILE_NAME_PMWIKI}"
    if [ -f ${PATH_FILE_PMWIKI_B} ]
    then
      cp ${PATH_FILE_PMWIKI_B} ${PATH_FILE_PMWIKI_A} 2>/dev/null
      if [ $? -ge 1 ]
      then
      echo "ERROR: PMWIKI-NEW-FILE »${PATH_FILE_PMWIKI_B}« CAN NOT COPY (ROOT RIGHTS REQUIRED)!" >> ./$LOG_FILE_NAME
      ERROR=$(($ERROR+1))
      fi
    else
    echo "ERROR: PMWIKI-NEW-FILE: »${PATH_FILE_PMWIKI_B}« CAN NOT FOUND!" >> ./$LOG_FILE_NAME
    ERROR=$(($ERROR+1))
    fi
    # DELETE AND COPY UPDATE-FILES
    for n in ${DIRECTORY_LIST_UPDATE_PMWIKI};do
      CURRENT_DIRECTORY_B="${CURRENT_DIRECTORY_A}/${n}"
      if [ -d ${CURRENT_DIRECTORY_B} ]
      then 
        rm -R ${CURRENT_DIRECTORY_B} 2>/dev/null
        if [ $? -ge 1 ]
        then
        echo "ERROR: PMWIKI-OLD-DIRECTORY »${CURRENT_DIRECTORY_B}« CAN NOT DELETE (ROOT RIGHTS REQUIRED)!" >> ./$LOG_FILE_NAME
        ERROR=$(($ERROR+1))
        fi
      else
      echo "ERROR: PMWIKI-OLD-DIRECTORY »${CURRENT_DIRECTORY_B}« CAN NOT FOUND!" >> ./$LOG_FILE_NAME
      ERROR=$(($ERROR+1))
      fi
      CURRENT_DIRECTORY_C="./${n}"
      if [ -d ${CURRENT_DIRECTORY_C} ]
      then
        cp -r ${CURRENT_DIRECTORY_C} ${CURRENT_DIRECTORY_A} 2>/dev/null
        if [ $? -ge 1 ]
        then
        echo "ERROR: PMWIKI-NEW-DIRECTORY »${CURRENT_DIRECTORY_C}« CAN NOT COPY (ROOT RIGHTS REQUIRED)!" >> ./$LOG_FILE_NAME
        ERROR=$(($ERROR+1))
        fi
      else
      echo "ERROR: PMWIKI-NEW-DIRECTORY »${CURRENT_DIRECTORY_C}« CAN NOT FOUND!" >> ./$LOG_FILE_NAME
      ERROR=$(($ERROR+1))
      fi
    done
  else
  echo "ERROR: PMWIKI-DIRECTORY »${CURRENT_DIRECTORY_A}« CAN NOT FOUND!" >> ./$LOG_FILE_NAME
  ERROR=$(($ERROR+1))
  fi
done
echo '' >> ./$LOG_FILE_NAME
echo '===================================================================================' >> ./$LOG_FILE_NAME
if [ $ERROR -gt 0 ]
then
  echo  "PMWIKI-UPDATE: ${ERROR} NUMBER OF FAULT!"
  echo "PMWIKI-UPDATE: ${ERROR} NUMBER OF FAULT!" >> ./$LOG_FILE_NAME
else
  echo "PMWIKI-UPDATE: UPDATE TO BE SUCCESSFUL!"
  echo "PMWIKI-UPDATE: UPDATE TO BE SUCCESSFUL!" >> ./$LOG_FILE_NAME
fi
echo '===================================================================================' >> ./$LOG_FILE_NAME
exit 0
