#!/bin/sh
# SHELLSCRIPT: STORING IN PmWiki-DIRECTORY 
#
# SEE ALSO: README-CHANGE-PERM-OWNER.txt
#
# CONFIGURATION: BEGIN ###############################
#
# PERMISSION: DIRECTORY uploads AND wiki.d; VALUE: 0755, 0777, 0750
PERMISSION_DIRECTORY='0755'
#
# PERMISSION: FILES IN DIRECTORY uploads AND wiki.d; VALUE: 0644, 0666, 0640
PERMISSION_FILE='0644'
#
# CONFIGURATION: END #################################
#
PERMISSION_DIRECTORY=${PERMISSION_DIRECTORY:='0755'}
PERMISSION_FILE=${PERMISSION_FILE:='0644'}
DIRECTORY_UPLOADS="./uploads"
DIRECTORY_WIKID="./wiki.d"
if [ -d ${DIRECTORY_UPLOADS} ] && [ -d ${DIRECTORY_WIKID} ]
then
  # DIRECTORY »uploads«
  chmod ${PERMISSION_DIRECTORY} ${DIRECTORY_UPLOADS} 2>/dev/null
    if [ $? -ge 1 ]
    then
      echo ""
      echo "ERROR: DIRECTORY »${DIRECTORY_UPLOADS}«: CAN NOT CHANGE PERMISSION (ROOT RIGHTS REQUIRED)!!"
      echo ""
      exit 1
    fi
  DIRECTORY_UPLOADS_LIST=`find ${DIRECTORY_UPLOADS}/*`
  for i in ${DIRECTORY_UPLOADS_LIST}
  do
    if [ -d ${i} ]
    then
      chmod ${PERMISSION_DIRECTORY} "${i}" 2>/dev/null
        if [ $? -ge 1 ]
        then
	  echo ""
	  echo "ERROR: DIRECTORY »${i}«: CAN NOT CHANGE PERMISSION!!"
	  echo ""
	  exit 1
        fi
    else
      chmod ${PERMISSION_FILE} "${i}" 2>/dev/null
        if [ $? -ge 1 ]
        then
	  echo ""
	  echo "ERROR: FILE »${i}«: CAN NOT CHANGE PERMISSION!!"
	  echo ""
	  exit 1
        fi
    fi
  done
  # DIRECTORY »wiki.d«
  chmod ${PERMISSION_DIRECTORY} ${DIRECTORY_WIKID} 2>/dev/null
    if [ $? -ge 1 ]
    then
      echo ""
      echo "ERROR: DIRECTORY »${DIRECTORY_WIKID}«: CAN NOT CHANGE PERMISSION (ROOT RIGHTS REQUIRED)!!"
      echo ""
      exit 1
    fi
  DIRECTORY_WIKID_LIST=`find ${DIRECTORY_WIKID}/*`
  for i in ${DIRECTORY_WIKID_LIST}
  do
    if [ -d ${i} ]
    then
      chmod ${PERMISSION_DIRECTORY} "${i}" 2>/dev/null
        if [ $? -ge 1 ]
        then
	  echo ""
	  echo "ERROR: DIRECTORY »${i}«: CAN NOT CHANGE PERMISSION!!"
	  echo ""
	  exit 1
        fi
    else
      chmod ${PERMISSION_FILE} "${i}" 2>/dev/null
        if [ $? -ge 1 ]
        then
	  echo ""
	  echo "ERROR: FILE »${i}«: CAN NOT CHANGE PERMISSION!!"
	  echo ""
	  exit 1
        fi
    fi
  done
else
echo ""
echo "ERROR: DIRECTORY ${DIRECTORY_UPLOADS} OR ${DIRECTORY_WIKID} NOT FOUND!!"
echo ""
fi
exit 0
