<?php if (!defined('PmWiki')) exit();
/*
  This is a sample config.php file.  To use this file, copy it to
  local/config.php, then edit it for whatever customizations you want.
  Also, be sure to take a look at http://www.pmwiki.org/wiki/Cookbook
  for more details on the types of customizations that can be added
  to PmWiki.
*/

/*
  werden mehrere Wikis unter derselben Domain genutzt, so kann der erfolgreiche
  Login dazu fuehren, dass in der anderen Wiki der Zugang ohne Login gewaehrt wird;
  mit der PHP-Variablen Session-Name wird jeder Wiki ein EIGENER Name zugeteilt, der
  eine Unterscheidung der einzelnen Wikis erlaubt;
  fuer die Session-Namen sollten nur Buchstaben (engl. Alphabet) und evt. der Unterstrich
  verwendet werden
*/
session_name('WIKI_N');

/*
 $WikiTitle ist der Name der in der Titelzeile des Browsers erscheint und bei einigen
 Skins auch auf der Website
*/
$WikiTitle = 'Laboretum';

/*
 $ScriptUrl - Pfad zur Hauptdatei pmwiki.php
 $PubDirUrl - Pfad zum Verzeichnis pub
 $FmtPV['$PicturePath'] - einen Teil des Bild-Pfades, wird ueber die Variable {$PicturePath}
 ausgelesen
 die Webserver-Variable $_SERVER['HTTP_HOST'] enthaelt den vollstaendigen Domainnamen
*/
$ScriptUrl = 'http://'.$_SERVER['HTTP_HOST'].'/wicki/pmwiki.php';
$PubDirUrl = 'http://'.$_SERVER['HTTP_HOST'].'/wicki/pub';
$FmtPV['$PicturePath'] = '"http://'.$_SERVER['HTTP_HOST'].'/wicki/uploads/"';

/*
 das wiki-weite Passwort ist zu setzen, wenn die authuser.php nicht oder erst spaeter
 aktiviert wird;
 ist die Authentifizierung / Benutzer-Login-Kontrolle aktiviert, so ist diese Variable
 ueber ein Kommentierungszeichen zu deaktivieren
*/
// $DefaultPasswords['admin'] = crypt('secret');

/*
 $AuthUser['alice'] = 'oFvts30qjMisE';
 Pfad zur Datei authuser.php
 include_once("$FarmD/scripts/authuser.php");
 ID des Benutzers der die Rechte des Wiki-Administrators erhaelt
 $DefaultPasswords['admin'] = 'id:alice';
 HINWEIS: die Reihenfolge dieser 3 Zeilen ist einzuhalten
 ist die Benutzerkontrolle ueber die authuser.php nicht aktiv, so sind diese 3 Zeilen mittels
 Kommentarzeichen zu deaktivieren
*/
$AuthUser['alice'] = 'oFvts30qjMisE';
include_once("$FarmD/scripts/authuser.php");
$DefaultPasswords['admin'] = 'id:alice';

/*
 die Benutzer-ID automatisch als Autoren eintragen;
 diese Variable ist nach include_once("$FarmD/scripts/authuser.php"); einzutragen
*/
$Author = $AuthId;

// Gruppen bei der Suche durch PmWiki-Search ausschlieszen
$SearchPatterns['default'][] = '!^PmWiki\\.!';
$SearchPatterns['default'][] = '!^PmWikiDe\\.!';
$SearchPatterns['default'][] = '!^Site\\.!';
$SearchPatterns['default'][] = '!^SiteAdmin\\.!';
$SearchPatterns['default'][] = '!\\.RecentChanges$!';

/*
 Unicode (UTF-8) ist fuer alle Sprachen und Alphabete vorgesehen
*/
include_once("scripts/xlpage-utf-8.php");

// enthaelt eine erweiterte Syntax (http://www.wikicreole.org/)
include_once("scripts/creole.php");

// $PageLogoUrl enthaelt den Pfad zum Logo, Bild kann ausgetauscht werden, falls der
// Skin dies unterstuetzt
//$PageLogoUrl = "$PubDirUrl/skins/GreenRain/logo.gif";

/*
 lt. Vorgabe werden die Skins immer im Verzeichnis pub/skins gesucht
*/
$Skin = 'greenrain';

/*
 einbinden von zusaetzlichen Plugins ueber include_once("")
*/
// Erstellung von Vorschaubildern
include_once("$FarmD/cookbook/thumblist2.php");

// Erstellung von Vorschaubildern
include_once("$FarmD/cookbook/mini.php");
/*
Mini Add-on Lightbox: Parameter
0 .. Lightbox deaktiviert; default: 0
1 .. alle Bilder der aktuellen Seite werden angezeigt
2 .. alle Bilder im aktuellen Mini-Markup werden angezeigt
3 .. nur das aktuell ausgewählte Bild wird angezeigt
*/
$Mini['EnableLightbox'] = 2;

/*
 Variablen die den Datei-Upload regeln
 $EnableUpload = 1; Upload von Dateien ist erlaubt, 0 .. Upload ist untersagt
 $EnableUploadVersions= 1; 1 .. eine bestehende Datei gleichen Namens wird zu datei.erw,zeitpunkt
 umbenannt, wenn hochgeladen wird (anstatt sie zu ueberschreiben). Zeitpunkt ist eine Zeitangabe
 im Unix-Stil; 0 .. keine Umbennung, alte Datei wird ueberschrieben
 $EnableUploadOverwrite = 1; gleichnamige Dateien koennen ueberschrieben werden
 $UploadMaxSize = 8000000; 1000000 - Upload-Grenze 1000KB (1MB)
 $DefaultPasswords['upload'] = crypt('secret'); wiki-weites Passwort fuer den Datei-Upload
 ist die Benutzerkontrolle ueber die authuser.php aktiv, so ist diese Zeile mittels
 Kommentarzeichen zu deaktivieren
*/
$EnableUpload = 1;
$EnableUploadVersions= 0;
$EnableUploadOverwrite = 1;
$UploadMaxSize = 8000000;# 1000000 - limit uploads to 1000KB (1MB)
// $DefaultPasswords['upload'] = crypt('secret');

// 1 .. Aktivierung der Buttons im Bearbeitungsmodus; 0 .. Deaktivierung
$EnableGUIButtons = 1;

/*
 Aktvierung von verschiedenen Buttons im Bearbeitungsmodus
 Titel, Untertitel, Fettschrift, Kursiv, Listen, horizontale Linie,
 Tabelle etc.
*/
$GUIButtons['h2']=array(400, '\\n!! ', '\\n', '$[Heading]', '$GUIButtonDirUrlFmt/h2.gif"$[Heading]"');
$GUIButtons['h3']=array(402, '\\n!!! ', '\\n', '$[Subheading]', '$GUIButtonDirUrlFmt/h3.gif"$[Subheading]"');
$GUIButtons['indent']=array(500, '\\n->', '\\n', '$[Indented text]', '$GUIButtonDirUrlFmt/indent.gif"$[Indented text]"');
$GUIButtons['outdent']=array(510, '\\n-<', '\\n', '$[Hanging indent]', '$GUIButtonDirUrlFmt/outdent.gif"$[Hanging indent]"');
$GUIButtons['ol']=array(520, '\\n# ', '\\n', '$[Ordered list]', '$GUIButtonDirUrlFmt/ol.gif"$[Ordered (numbered) list]"');
$GUIButtons['ul']=array(530, '\\n* ', '\\n', '$[Unordered list]', '$GUIButtonDirUrlFmt/ul.gif"$[Unordered (bullet) list]"');
$GUIButtons['hr']=array(540, '\\n----\\n', '', '', '$GUIButtonDirUrlFmt/hr.gif"$[Horizontal rule]"');
$GUIButtons['table'] = array(600, '||border=1 width=80%\\n||!Hdr ||!Hdr ||!Hdr ||\\n|| || || ||\\n|| || || ||\\n', '', '', '$GUIButtonDirUrlFmt/table.gif"$[Table]"');

/*
 Zeilen die mit ein oder mehreren Leerzeichen beginnen als vorformatierten Text
 darstellen; Zeilenumbrueche werden uebernommen, in einer Schriftart und
 mit fester Zeichenbreite; Vorgabe: $EnableWSPre = 1; moegliche Werte .. 0 bis 4
 0 .. deaktiviert 
*/
$EnableWSPre = 1;

/*
 schaltet Remote-Diagnostic mittels der action-Variablen diag und phpinfo ein
 Beispiele:
 http://<my_domainname>/pmwiki/pmwiki.php?action=diag
 http://<my_domainname>/pmwiki/pmwiki.php?action=phpinfo
*/
$EnableDiag = 1;

/*
 das Zwischenspeichern der PmWiki-Seiten fuer den Browser erlauben
 0 .. deaktiviert, 1 .. aktiviert
*/
$EnableIMSCaching = 1;

/*
 Wiki-Words (z.B. PmWiki) mit einem Leerzeichen trennen
 PmWiki => Pm Wiki
 0 .. deaktiviert, 1 .. aktiviert
*/
$SpaceWikiWords = 1;

/*
 $EnableWikiWords = 1; => Wiki-Words immer als Link darstellen
 0 .. deaktiviert, 1 .. aktiviert
*/
$EnableWikiWords = 1;

/*
 Revision History (Ueberarbeitungs-Zeitraum) ist per Default 3650 Tage (10 Jahre)
 $DiffKeepDays=30; => Revision History bleibt 30 Tage erhalten
*/
$DiffKeepDays = 7;

/*
 Anzahl der minimalen Eintraege in der Revision History
 Default-Wert 20
*/
$DiffKeepNum = 5;

/*
  Revision History wird nur Benutzern mit Scheiberechtigung angezeigt.
  $HandleAuth['diff'] = 'edit';
  Revision History fuer alle Benutzer zugaenglich machen.
  $HandleAuth['diff'] = 'read';
*/
$HandleAuth['diff'] = 'edit';

/*
 In der Version 2.2.0-beta series war die Seitenvariablen eine absolute Angabe.
 Die relative Anagbe ist flexibler.
 1=relative; 0=absolute
*/
$EnableRelativePageVars = 1;

/*
 Auf 1 gesetzt (das ist der Standard), bewirkt diese Variable, dass (:pagelist:) und
 (:searchresult:) Seiten nicht mitlisten, auf die der Browser aktuell nicht zugreifen
 darf. Setzt man diese auf 0, bedeutet das, dass lesegeschuetzte Seiten in Seitenlisten
 auftauchen koennen, gleichzeitig kann das die Suchgeschwindigkeit erheblich heraufsetzen
 (weil die Seitenerlaubnisse nicht geprueft werden muessen). 
*/
$EnablePageListProtect = 1;

/*
 $EnablePathInfo beeinflusst das Handling der Seiten-Urls. Wenn sie auf 1 gesetzt wird,
 ist die Url ...wiki.php/Main/Main, wenn sie auf 0 (Standard) gesetzt wird, ist die
 Url ...wiki.php?n=Main.Main - per Vorgabe auskommentiert
*/
$EnablePathInfo = 0;
